### Method

# Gdk FrameTimings get_result

unstable since: 4.24

#### Declaration [src]

    GdkFrameResult
    gdk_frame_timings_get_result (
      GdkFrameTimings* timings
    )

#### Description [src]

Gets the result of the frame cycle that recorded these timings.

The timing information in a `GdkFrameTimings` is filled in incrementally as the frame as drawn and passed off to the window system for processing and display to the user. The accessor functions for `GdkFrameTimings` can return 0 to indicate an unavailable value for two reasons: either because the information is not yet available, or because it isn’t available at all. Looking at the result of the timings gives an explanation for why a value is not available.

Available since: 4.24

#### Return value

Type: `GdkFrameResult`

The result of the frame these timings have been recorded for.